import { defHttp } from '@/utils/http/axios';
enum Api{
  LoadPage = '/api/DroneCaseinfo/LoadDroneFlowInstance',
  AddOrUpdateDroneFlowInstance = '/api/DroneCaseinfo/AddOrUpdateDroneFlowInstance',
  DeleteDroneFlowInstance = '/api/DroneCaseinfo/DeleteDroneFlowInstance',
  GetRolesList = '/api/Roles/LoadPage',
  GetBindRolesList = '/api/DroneCaseinfo/LoadDroneFlowRoleBindData',
  BindRolesList = '/api/DroneCaseinfo/DroneFlowInstanceBindRole'
}
export function AddOrUpdateDroneFlowInstance(params) {
  return defHttp.post({ url: Api.AddOrUpdateDroneFlowInstance, params });
}
export function LoadPage(params) {
  return defHttp.get({ url: Api.LoadPage, params });
}
export function DeleteDroneFlowInstance(params) {
  return defHttp.post({ url: Api.DeleteDroneFlowInstance, params });
}
export function GetRolesList(params) {
  return defHttp.get({ url: Api.GetRolesList, params });
}
export function GetBindRolesList(params) {
  return defHttp.get({ url: Api.GetBindRolesList, params });
}
export function BindRolesList(params) {
  return defHttp.post({ url: Api.BindRolesList, params });
}